%define name	libghemical
%define version	1.90
%define release 1mdk

%define major	0
%define libname %mklibname ghemical %major

Name: 	 	%{name}
Summary: 	Libraries for the Ghemical chemistry package
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
Patch0:		libghemical-1.90-gcc4.patch.bz2
URL:		http://www.uku.fi/~thassine/ghemical/
License:	GPL
Group:		Sciences/Chemistry
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	f2c
BuildRequires:	libSC-devel mopac7-devel openbabel-devel blas-devel lapack-devel
BuildRequires:	automake1.4

%description
Library and data files for the ghemical computation chemistry package.

%package data
Summary:	Data files for the ghemical library
Group:		Sciences/Chemistry

%description data
Data files for the ghemical library.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n 	%{libname}-devel
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides: 	libghemical-devel = %{version}-%{release}
Provides:	ghemical-devel = %{version}-%{release} 
Obsoletes: 	ghemical-devel

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q
%patch0
aclocal-1.4
automake-1.4 -a
autoconf
perl -pi -e 's|-lblas|-lblas -lgfortran||g' configure
perl -pi -e 's|-llapack|-llapack -lgfortran||g' configure
perl -pi -e 's|--recheck|||g' Makefile
perl -pi -e 's|g2c.h|f2c.h||g' src/eng1_qm_mopac.cpp
%build
%configure2_5x --enable-mpqc --enable-mopac7 --enable-openbabel
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files data
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS TODO README
%{_datadir}/%name

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Aug 12 2005 Austin Acton <austin@mandrake.org> 1.90-1mdk
- initial package
- steal a nice patch from debian

